Bug 896576 - New init.d ucarp script wrong setting advskew=1 to all nodes if no MASTER variable set.
Summary: New init.d ucarp script wrong setting advskew=1 to all nodes if no MASTER var...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ucarp
Version: el6
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-17 14:57 UTC by Daniel Santos
Modified: 2013-02-09 01:44 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-02-09 01:43:42 UTC


Attachments (Terms of Use)

Description Daniel Santos 2013-01-17 14:57:21 UTC
Description of problem:

There's a bug in the new released init.d script. At the line 65, everybody who doesn't set the MASTER variable in config files, will get an advskew=1 even if already set OPTIONS="-k xxx".

[ "${MASTER:-NULL}" == "${SOURCE_ADDRESS}" ] || OPTIONS="${OPTIONS} --advskew=1"

Version-Release number of selected component (if applicable):
1.5.2-6

How reproducible:

node priorities are not respected, --preempt is ignored and both nodes becomes master.

Steps to Reproduce:
1. Do NOT set MASTER variable on node ucarp configs, but set OPTIONS="-k xxx --preempt" as usual.
2. Restart ucarp on both nodes.
  
Actual results:
Node priorities (-k) are not respected, --preempt is ignored and both nodes becomes master.

Expected results:
Node priorities (-k) are respected, --preempt is applied and only the node with lowest -k value becomes master.

Additional info:

IMHO, MASTER variable is a redundant option that causes confusion and conflicts with previous configs that already uses OPTIONS="-k xxx"

Moreover, for environments (like mine) that uses more than 2 nodes with ucarp, this init.d script MASTER variable is useless as I can't set a proper priority to the nodes.

Comment 1 Gwyn Ciesla 2013-01-23 15:10:49 UTC
So I should I simply drop that line, or is there a specifica change that should be made?

Comment 2 Daniel Santos 2013-01-23 16:56:53 UTC
No specific changes required. Just drop that line and you are done. BTW, in what scenario it would be useful to use this MASTER variable?

Comment 3 Gwyn Ciesla 2013-01-23 19:02:03 UTC
I'm not sure.  I'll drop that line and push an update.  Thanks!

Comment 4 Fedora Update System 2013-01-23 19:30:51 UTC
ucarp-1.5.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-7.el6

Comment 5 Fedora Update System 2013-01-23 19:31:02 UTC
ucarp-1.5.2-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ucarp-1.5.2-7.el5

Comment 6 Fedora Update System 2013-01-23 22:03:29 UTC
Package ucarp-1.5.2-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing ucarp-1.5.2-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-0188/ucarp-1.5.2-7.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-09 01:43:44 UTC
ucarp-1.5.2-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-02-09 01:44:19 UTC
ucarp-1.5.2-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.